Package: javax.swing

## [Java] Class JToolBar

- javax.swing.JToolBar

-     public class JToolBar
      extends Object

  GDK enhancements for JToolBar.

  displayName:
    JToolBar
  receiverFqcn:
    javax.swing.JToolBar

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Component` | `getAt(int index)` Support the subscript operator for JToolBar.
    `` | `public JToolBar` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a toolBar.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Component getAt(int index)

      Support the subscript operator for JToolBar.

      Parameters:
        `index` - the index of the component to get
      Returns:
        the component at the given index
      Since:
        1.6.4

    - #### public JToolBar leftShift(Action action)

      Overloads the left shift operator to provide an easy way to add components to a toolBar.

      Parameters:
        `action` - an Action to be added to the toolBar.
      Returns:
        same toolBar, after the value was added to it.
      Since:
        1.6.4